## xembed-sni-proxy 0~git20151005

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(xembedsniproxy)

# Silence CMake 3.0 warnings
if(POLICY CMP0043)
    cmake_policy(SET CMP0043 OLD)
endif()

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(GenerateExportHeader)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Gui
    X11Extras
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)

# required frameworks by Core
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    WindowSystem
)

# All the required XCB components
find_package(XCB
    REQUIRED COMPONENTS
        XCB
        XFIXES
        DAMAGE
        COMPOSITE
        RANDR
        SHM
        UTIL
        IMAGE
)


add_definitions(-Wall -std=c++11)

set(XEMBED_SNI_PROXY_SOURCES
    main.cpp
    fdoselectionmanager.cpp
    snidbus.cpp
    sniproxy.cpp
)

qt5_add_dbus_adaptor(XEMBED_SNI_PROXY_SOURCES org.kde.StatusNotifierItem.xml
                     sniproxy.h SNIProxy)

set(statusnotifierwatcher_xml org.kde.StatusNotifierWatcher.xml)
qt5_add_dbus_interface(XEMBED_SNI_PROXY_SOURCES ${statusnotifierwatcher_xml} statusnotifierwatcher_interface)

add_executable(xembedsniproxy ${XEMBED_SNI_PROXY_SOURCES})

set(kwin_XCB_LIBS
    XCB::XCB
    XCB::XFIXES
    XCB::DAMAGE
    XCB::COMPOSITE
    XCB::RANDR
    XCB::SHM
    XCB::UTIL
    XCB::IMAGE
)

set_package_properties(XCB PROPERTIES TYPE REQUIRED)

target_link_libraries(xembedsniproxy
    Qt5::Core
    Qt5::X11Extras
    Qt5::DBus
    KF5::WindowSystem
    ${kwin_XCB_LIBS}
)

install(TARGETS xembedsniproxy ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES xembedsniproxy.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

## xembed-sni-proxy 0~git20151005-77d78c3

=== debian/changelog ===
xembed-sni-proxy (0~git20151005-77d78c3-2) unstable; urgency=medium

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick@debian.org>  Sat, 17 Oct 2015 00:20:51 +0300

xembed-sni-proxy (0~git20151005-77d78c3-1) experimental; urgency=medium

  * Initial release.  (Closes: #801264)

 -- Boris Pek <tehnick@debian.org>  Thu, 08 Oct 2015 03:15:36 +0300

=== debian/control ===
Source: xembed-sni-proxy
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Boris Pek <tehnick@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               pkg-kde-tools,
               qtbase5-dev
Homepage: https://github.com/davidedmundson/xembed-sni-proxy
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/xembed-sni-proxy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/xembed-sni-proxy.git
Standards-Version: 3.9.6

Package: plasma-systray-legacy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: xembed-sni-proxy
Suggests: sni-qt
Description: XEmbed SNI Proxy
 This package contains special proxy which converts XEmbed system tray icons to
 SNI icons. It allows one to use applications which supports only legacy system
 tray icons in modern desktop environments (i.e KDE Plasma 5, GNOME Shell, etc.)
 which support only StatusNotifierItem specification.

=== debian/watch ===
version=3
https://github.com/davidedmundson/xembed-sni-proxy/tags .*/davidedmundson/xembed-sni-proxy/archive/v(\d.+)\.tar\.gz debian uupdate

## xembed-sni-proxy 0~git20151027-b7c1f8d

=== debian/changelog ===
xembed-sni-proxy (0~git20151027-b7c1f8d-1) unstable; urgency=medium

  * New Git snapshot.
  * Update description of plasma-systray-legacy package.
  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick@debian.org>  Wed, 28 Oct 2015 01:10:01 +0300

xembed-sni-proxy (0~git20151022-5157e6c-1) experimental; urgency=medium

  * New Git snapshot.

 -- Boris Pek <tehnick@debian.org>  Thu, 22 Oct 2015 01:03:10 +0300

## xembed-sni-proxy 0~git20151104

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
     cmake_policy(SET CMP0043 OLD)
 endif()
 
-find_package(ECM 0.0.11 REQUIRED NO_MODULE)
+find_package(ECM 5.14.0 REQUIRED NO_MODULE)
 include(FeatureSummary)
 include(WriteBasicConfigVersionFile)
 include(GenerateExportHeader)
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
@@ -27,6 +27,7 @@
 
 include(ECMInstallIcons)
 include(ECMOptionalAddSubdirectory)
+include(ECMQtDeclareLoggingCategory)
 
 # required frameworks by Core
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -49,6 +50,12 @@
 
 add_definitions(-Wall -std=c++11)
 
+add_definitions(-DQT_NO_CAST_TO_ASCII
+-DQT_NO_CAST_FROM_ASCII
+-DQT_NO_URL_CAST_FROM_STRING
+-DQT_NO_CAST_FROM_BYTEARRAY)
+
+
 set(XEMBED_SNI_PROXY_SOURCES
     main.cpp
     fdoselectionmanager.cpp
@@ -64,7 +71,7 @@
 
 add_executable(xembedsniproxy ${XEMBED_SNI_PROXY_SOURCES})
 
-set(kwin_XCB_LIBS
+set(XCB_LIBS
     XCB::XCB
     XCB::XFIXES
     XCB::DAMAGE
@@ -77,12 +84,17 @@
 
 set_package_properties(XCB PROPERTIES TYPE REQUIRED)
 
+ecm_qt_declare_logging_category(xembedsniproxy HEADER debug.h
+                                               IDENTIFIER SNIPROXY
+                                               CATEGORY_NAME kde.xembedsniproxy
+                                               DEFAULT_SEVERITY Debug)
+
 target_link_libraries(xembedsniproxy
     Qt5::Core
     Qt5::X11Extras
     Qt5::DBus
     KF5::WindowSystem
-    ${kwin_XCB_LIBS}
+    ${XCB_LIBS}
 )
 
 install(TARGETS xembedsniproxy ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## xembed-sni-proxy 0~git20151104-ded1538

=== debian/changelog ===
xembed-sni-proxy (0~git20151104-ded1538-2) unstable; urgency=medium

  * Add mitigate-failed-icon-grabbing.patch.
  * Fix lintian notes vcs-field-uses-insecure-uri.

 -- Boris Pek <tehnick@debian.org>  Thu, 04 Feb 2016 21:15:44 +0300

xembed-sni-proxy (0~git20151104-ded1538-1) unstable; urgency=medium

  * New Git snapshot.
  * Fixed in upstream: systray icons of WINE applications (and some other
    programs) are opaque just after launching of applications.
    (Closes: #802228)

 -- Boris Pek <tehnick@debian.org>  Mon, 16 Nov 2015 02:19:41 +0300

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                pkg-kde-tools,
                qtbase5-dev
 Homepage: https://github.com/davidedmundson/xembed-sni-proxy
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/xembed-sni-proxy.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/xembed-sni-proxy.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/xembed-sni-proxy.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/xembed-sni-proxy.git
 Standards-Version: 3.9.6
 
 Package: plasma-systray-legacy
@@ -31,5 +31,5 @@
 Description: XEmbed SNI Proxy
  This package contains special proxy which converts XEmbed system tray icons to
  SNI icons. It allows one to use applications which supports only legacy system
- tray icons in modern desktop environments (i.e KDE Plasma 5, GNOME Shell, etc.)
+ tray icons in modern desktop environments (i.e KDE Plasma 5, Unity, etc.)
  which support only StatusNotifierItem specification.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = xembed-sni-proxy

DEBIAN_PATH := $(abspath $(dir $(MAKEFILE_LIST)))
USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with=kf5

override_dh_builddeb:
	dh_builddeb -- -Zxz

get-orig-source:
	wget -c "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.gz"

=== debian/watch ===
version=3
https://github.com/davidedmundson/xembed-sni-proxy/tags \
.*/davidedmundson/xembed-sni-proxy/archive/v(\d.+)\.tar\.gz \
debian uupdate
